Subject: Re: bug#70760: 29.3.50; core dumps when copy in other apps

From: Kun Liu <[email-masked]>
Date: Sun, 5 May 2024 08:45:34 -0700

I did (setq debug-on-error t), went to https://en.wikipedia.org/wiki/Emacs,
randomly selected a fragment "Emacs has over", then did a ctrll+c.

Emacs in VirtualBox immediately showed the following:

Debugger entered--Lisp error: (wrong-type-argument number-or-marker-p nil)
  dbus-handle-event((dbus-event "[ \11]*$"))
  funcall-interactively(dbus-handle-event (dbus-event "[ \11]*$"))
  call-interactively(dbus-handle-event nil [(dbus-event "[ \11]*$")])
  command-execute(dbus-handle-event nil [(dbus-event "[ \11]*$")] t)

On Sat, May 4, 2024 at 10:11 PM Eli Zaretskii <[email-masked]> wrote:

> > From: Kun Liu <[email-masked]>
> > Date: Sat, 4 May 2024 13:49:41 -0700
> >
> > (gdb) print data
> > $1 = XIL(0x55f268372323)
> > (gdb) xtype
> > Lisp_Cons
> > (gdb) xcar
> > $2 = 0x11f40
> > (gdb) xtype
> > Lisp_Symbol
> > (gdb) xsymbol
> > $3 = (struct Lisp_Symbol *) 0x55f2626ad440 <lispsym+73536>
> > "wrong-type-argument"
> >
> > To your question, I wasn't doing anything in Emacs. I was just copying
> in Chrome.
> >
> > Also I upgraded VirtualBox from 6 to 7. And looks like Emacs is no
> longer crashing. Now it reports the following
> > in mini-bufffer:
> >
> > funcall-interactively: Wrong type argument: listp, [(2 19 1) ((emacs
> (24))) "A modern list library for Emacs" tar
> > ((:commit . "39d067b9fbb2db65fc7a6938bfb21489ad990cb4") (:authors
> ("Magnar Sveen" .
> > "[email-masked]")) (:maintainers ("Magnar Sveen" . "[email-masked]"))
> (:maintainer "Magnar
> > Sveen" . "[email-masked]") (:keywords "extensions" "lisp") (:url . "
> https://github.com/magnars/dash.el"))]
>
> What were you copying in Chrome when this happened?  Was it text or
> some other entity.  Does the text/object you were copying have
> anything in common with the data of the error message above?  Can you
> tell what URL to go to and which part of the page to copy, to
> reproduce what you did?
>
> Also, please set debug-on-error to a non-nil value, and post the Lisp
> backtrace you get when these errors happen.
>